summaryrefslogtreecommitdiff
path: root/git/stash.sh
diff options
context:
space:
mode:
authorBoris Kolpackov <boris@codesynthesis.com>2011-08-30 16:37:11 +0200
committerBoris Kolpackov <boris@codesynthesis.com>2011-08-30 16:37:11 +0200
commit8899a8271338ba19f32bae1b30e0df0392afe1bc (patch)
tree6644c5b51a302da9c6f1e35e5478707aa6cc321f /git/stash.sh
parent7da455da65d4c6ca7c58cf915f158349184373f0 (diff)
Add error handling to git scripts
Diffstat (limited to 'git/stash.sh')
-rwxr-xr-xgit/stash.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/git/stash.sh b/git/stash.sh
index 63a6022..139f294 100755
--- a/git/stash.sh
+++ b/git/stash.sh
@@ -11,5 +11,11 @@ for i in $modules; do
echo "stash $i" 1>&2
cd $i
git stash $*
+
+ if [ $? -ne 0 ]; then
+ echo "stash FAILED" 1>&2
+ exit 1
+ fi
+
cd $wd
done